// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/transport-order.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/dictionary/model"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type TransportOrder struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                      int64                      `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	CreationDate            int64                      `protobuf:"varint,2,opt,name=creationDate,proto3" json:"creationDate,omitempty"`
	Owner                   *common.Company            `protobuf:"bytes,3,opt,name=owner,proto3" json:"owner,omitempty"`
	GroupNumber             string                     `protobuf:"bytes,4,opt,name=groupNumber,proto3" json:"groupNumber,omitempty"`
	Forwarder               *Company                   `protobuf:"bytes,5,opt,name=forwarder,proto3" json:"forwarder,omitempty"`
	ShipFrom                *Place                     `protobuf:"bytes,6,opt,name=shipFrom,proto3" json:"shipFrom,omitempty"` //ECG(LoadingPoint)
	ShipTo                  *Place                     `protobuf:"bytes,7,opt,name=shipTo,proto3" json:"shipTo,omitempty"`     //ECG(UnloadingPoint)
	LogisticServiceProvider *Company                   `protobuf:"bytes,8,opt,name=logisticServiceProvider,proto3" json:"logisticServiceProvider,omitempty"`
	TransportDetails        *common.PeriodWithPlanning `protobuf:"bytes,9,opt,name=transportDetails,proto3" json:"transportDetails,omitempty"` //ECG(TransportDetails)
	Carrier                 *Company                   `protobuf:"bytes,10,opt,name=carrier,proto3" json:"carrier,omitempty"`
	Vehicle                 *Vehicle                   `protobuf:"bytes,11,opt,name=vehicle,proto3" json:"vehicle,omitempty"`
	StatusName              string                     `protobuf:"bytes,12,opt,name=statusName,proto3" json:"statusName,omitempty"`
	Status                  EnumStatus                 `protobuf:"varint,13,opt,name=status,proto3,enum=transportOrder.EnumStatus" json:"status,omitempty"`
	Descriptions            map[string]string          `protobuf:"bytes,14,rep,name=descriptions,proto3" json:"descriptions,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	ConnectedDocuments      []*ListConnectedDocuments  `protobuf:"bytes,15,rep,name=connectedDocuments,proto3" json:"connectedDocuments,omitempty"`
}

func (x *TransportOrder) Reset() {
	*x = TransportOrder{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_transport_order_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransportOrder) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransportOrder) ProtoMessage() {}

func (x *TransportOrder) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_transport_order_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransportOrder.ProtoReflect.Descriptor instead.
func (*TransportOrder) Descriptor() ([]byte, []int) {
	return file_transport_order_model_transport_order_proto_rawDescGZIP(), []int{0}
}

func (x *TransportOrder) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *TransportOrder) GetCreationDate() int64 {
	if x != nil {
		return x.CreationDate
	}
	return 0
}

func (x *TransportOrder) GetOwner() *common.Company {
	if x != nil {
		return x.Owner
	}
	return nil
}

func (x *TransportOrder) GetGroupNumber() string {
	if x != nil {
		return x.GroupNumber
	}
	return ""
}

func (x *TransportOrder) GetForwarder() *Company {
	if x != nil {
		return x.Forwarder
	}
	return nil
}

func (x *TransportOrder) GetShipFrom() *Place {
	if x != nil {
		return x.ShipFrom
	}
	return nil
}

func (x *TransportOrder) GetShipTo() *Place {
	if x != nil {
		return x.ShipTo
	}
	return nil
}

func (x *TransportOrder) GetLogisticServiceProvider() *Company {
	if x != nil {
		return x.LogisticServiceProvider
	}
	return nil
}

func (x *TransportOrder) GetTransportDetails() *common.PeriodWithPlanning {
	if x != nil {
		return x.TransportDetails
	}
	return nil
}

func (x *TransportOrder) GetCarrier() *Company {
	if x != nil {
		return x.Carrier
	}
	return nil
}

func (x *TransportOrder) GetVehicle() *Vehicle {
	if x != nil {
		return x.Vehicle
	}
	return nil
}

func (x *TransportOrder) GetStatusName() string {
	if x != nil {
		return x.StatusName
	}
	return ""
}

func (x *TransportOrder) GetStatus() EnumStatus {
	if x != nil {
		return x.Status
	}
	return EnumStatus_TO_UNKNOWN
}

func (x *TransportOrder) GetDescriptions() map[string]string {
	if x != nil {
		return x.Descriptions
	}
	return nil
}

func (x *TransportOrder) GetConnectedDocuments() []*ListConnectedDocuments {
	if x != nil {
		return x.ConnectedDocuments
	}
	return nil
}

type ListConnectedDocuments struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type       string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	DocumentId string `protobuf:"bytes,2,opt,name=documentId,proto3" json:"documentId,omitempty"`
}

func (x *ListConnectedDocuments) Reset() {
	*x = ListConnectedDocuments{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_transport_order_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListConnectedDocuments) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListConnectedDocuments) ProtoMessage() {}

func (x *ListConnectedDocuments) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_transport_order_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListConnectedDocuments.ProtoReflect.Descriptor instead.
func (*ListConnectedDocuments) Descriptor() ([]byte, []int) {
	return file_transport_order_model_transport_order_proto_rawDescGZIP(), []int{1}
}

func (x *ListConnectedDocuments) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ListConnectedDocuments) GetDocumentId() string {
	if x != nil {
		return x.DocumentId
	}
	return ""
}

type Vehicle struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                *VehicleId     `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Info              *model.Vehicle `protobuf:"bytes,2,opt,name=info,proto3" json:"info,omitempty"`
	ManufacturingDate int64          `protobuf:"varint,3,opt,name=manufacturingDate,proto3" json:"manufacturingDate,omitempty"`
	GrossWeight       int64          `protobuf:"varint,4,opt,name=grossWeight,proto3" json:"grossWeight,omitempty"`
}

func (x *Vehicle) Reset() {
	*x = Vehicle{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_transport_order_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vehicle) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vehicle) ProtoMessage() {}

func (x *Vehicle) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_transport_order_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vehicle.ProtoReflect.Descriptor instead.
func (*Vehicle) Descriptor() ([]byte, []int) {
	return file_transport_order_model_transport_order_proto_rawDescGZIP(), []int{2}
}

func (x *Vehicle) GetId() *VehicleId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *Vehicle) GetInfo() *model.Vehicle {
	if x != nil {
		return x.Info
	}
	return nil
}

func (x *Vehicle) GetManufacturingDate() int64 {
	if x != nil {
		return x.ManufacturingDate
	}
	return 0
}

func (x *Vehicle) GetGrossWeight() int64 {
	if x != nil {
		return x.GrossWeight
	}
	return 0
}

var File_transport_order_model_transport_order_proto protoreflect.FileDescriptor

var file_transport_order_model_transport_order_proto_rawDesc = []byte{
	0x0a, 0x2b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x74,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f,
	0x76, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x21, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x2d, 0x77, 0x69, 0x74,
	0x68, 0x2d, 0x70, 0x6c, 0x61, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x22, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x26, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x76, 0x65, 0x68, 0x69,
	0x63, 0x6c, 0x65, 0x2d, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x23, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x2f, 0x63, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x21, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63, 0x6f, 0x6d,
	0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xea, 0x06, 0x0a, 0x0e, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x22, 0x0a,
	0x0c, 0x63, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x44, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x0c, 0x63, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x44, 0x61, 0x74,
	0x65, 0x12, 0x25, 0x0a, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x0f, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e,
	0x79, 0x52, 0x05, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x12, 0x20, 0x0a, 0x0b, 0x67, 0x72, 0x6f, 0x75,
	0x70, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x67,
	0x72, 0x6f, 0x75, 0x70, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x35, 0x0a, 0x09, 0x66, 0x6f,
	0x72, 0x77, 0x61, 0x72, 0x64, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x09, 0x66, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x65,
	0x72, 0x12, 0x31, 0x0a, 0x08, 0x73, 0x68, 0x69, 0x70, 0x46, 0x72, 0x6f, 0x6d, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x08, 0x73, 0x68, 0x69, 0x70,
	0x46, 0x72, 0x6f, 0x6d, 0x12, 0x2d, 0x0a, 0x06, 0x73, 0x68, 0x69, 0x70, 0x54, 0x6f, 0x18, 0x07,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x6c, 0x61, 0x63, 0x65, 0x52, 0x06, 0x73, 0x68, 0x69,
	0x70, 0x54, 0x6f, 0x12, 0x51, 0x0a, 0x17, 0x6c, 0x6f, 0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x17, 0x6c,
	0x6f, 0x67, 0x69, 0x73, 0x74, 0x69, 0x63, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x72,
	0x6f, 0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x10, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x65, 0x72, 0x69, 0x6f, 0x64,
	0x57, 0x69, 0x74, 0x68, 0x50, 0x6c, 0x61, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x52, 0x10, 0x74, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x31,
	0x0a, 0x07, 0x63, 0x61, 0x72, 0x72, 0x69, 0x65, 0x72, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x17, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x07, 0x63, 0x61, 0x72, 0x72, 0x69, 0x65,
	0x72, 0x12, 0x31, 0x0a, 0x07, 0x76, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x18, 0x0b, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x17, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x07, 0x76, 0x65, 0x68,
	0x69, 0x63, 0x6c, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x4e, 0x61,
	0x6d, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x32, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x0d,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x1a, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74,
	0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x45, 0x6e, 0x75, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x54, 0x0a, 0x0c, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x0e, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30,
	0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x52, 0x0c, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x56,
	0x0a, 0x12, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x44, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x73, 0x18, 0x0f, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e,
	0x74, 0x73, 0x52, 0x12, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x44, 0x6f, 0x63,
	0x75, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x1a, 0x3f, 0x0a, 0x11, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x4c, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x43,
	0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x73, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e,
	0x74, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x49, 0x64, 0x22, 0xad, 0x01, 0x0a, 0x07, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c,
	0x65, 0x12, 0x29, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x56,
	0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64, 0x12, 0x27, 0x0a, 0x04,
	0x69, 0x6e, 0x66, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52,
	0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x2c, 0x0a, 0x11, 0x6d, 0x61, 0x6e, 0x75, 0x66, 0x61, 0x63,
	0x74, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x44, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x11, 0x6d, 0x61, 0x6e, 0x75, 0x66, 0x61, 0x63, 0x74, 0x75, 0x72, 0x69, 0x6e, 0x67, 0x44,
	0x61, 0x74, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x67, 0x72, 0x6f, 0x73, 0x73, 0x57, 0x65, 0x69, 0x67,
	0x68, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x67, 0x72, 0x6f, 0x73, 0x73, 0x57,
	0x65, 0x69, 0x67, 0x68, 0x74, 0x42, 0xa5, 0x01, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75,
	0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x0e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74,
	0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75,
	0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x0e, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_transport_order_proto_rawDescOnce sync.Once
	file_transport_order_model_transport_order_proto_rawDescData = file_transport_order_model_transport_order_proto_rawDesc
)

func file_transport_order_model_transport_order_proto_rawDescGZIP() []byte {
	file_transport_order_model_transport_order_proto_rawDescOnce.Do(func() {
		file_transport_order_model_transport_order_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_transport_order_proto_rawDescData)
	})
	return file_transport_order_model_transport_order_proto_rawDescData
}

var file_transport_order_model_transport_order_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_transport_order_model_transport_order_proto_goTypes = []interface{}{
	(*TransportOrder)(nil),            // 0: transportOrder.TransportOrder
	(*ListConnectedDocuments)(nil),    // 1: transportOrder.ListConnectedDocuments
	(*Vehicle)(nil),                   // 2: transportOrder.Vehicle
	nil,                               // 3: transportOrder.TransportOrder.DescriptionsEntry
	(*common.Company)(nil),            // 4: common.Company
	(*Company)(nil),                   // 5: transportOrder.Company
	(*Place)(nil),                     // 6: transportOrder.Place
	(*common.PeriodWithPlanning)(nil), // 7: common.PeriodWithPlanning
	(EnumStatus)(0),                   // 8: transportOrder.EnumStatus
	(*VehicleId)(nil),                 // 9: transportOrder.VehicleId
	(*model.Vehicle)(nil),             // 10: dictionary.Vehicle
}
var file_transport_order_model_transport_order_proto_depIdxs = []int32{
	4,  // 0: transportOrder.TransportOrder.owner:type_name -> common.Company
	5,  // 1: transportOrder.TransportOrder.forwarder:type_name -> transportOrder.Company
	6,  // 2: transportOrder.TransportOrder.shipFrom:type_name -> transportOrder.Place
	6,  // 3: transportOrder.TransportOrder.shipTo:type_name -> transportOrder.Place
	5,  // 4: transportOrder.TransportOrder.logisticServiceProvider:type_name -> transportOrder.Company
	7,  // 5: transportOrder.TransportOrder.transportDetails:type_name -> common.PeriodWithPlanning
	5,  // 6: transportOrder.TransportOrder.carrier:type_name -> transportOrder.Company
	2,  // 7: transportOrder.TransportOrder.vehicle:type_name -> transportOrder.Vehicle
	8,  // 8: transportOrder.TransportOrder.status:type_name -> transportOrder.EnumStatus
	3,  // 9: transportOrder.TransportOrder.descriptions:type_name -> transportOrder.TransportOrder.DescriptionsEntry
	1,  // 10: transportOrder.TransportOrder.connectedDocuments:type_name -> transportOrder.ListConnectedDocuments
	9,  // 11: transportOrder.Vehicle.id:type_name -> transportOrder.VehicleId
	10, // 12: transportOrder.Vehicle.info:type_name -> dictionary.Vehicle
	13, // [13:13] is the sub-list for method output_type
	13, // [13:13] is the sub-list for method input_type
	13, // [13:13] is the sub-list for extension type_name
	13, // [13:13] is the sub-list for extension extendee
	0,  // [0:13] is the sub-list for field type_name
}

func init() { file_transport_order_model_transport_order_proto_init() }
func file_transport_order_model_transport_order_proto_init() {
	if File_transport_order_model_transport_order_proto != nil {
		return
	}
	file_transport_order_model_status_proto_init()
	file_transport_order_model_vehicle_id_proto_init()
	file_transport_order_model_company_proto_init()
	file_transport_order_model_place_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_transport_order_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransportOrder); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_model_transport_order_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListConnectedDocuments); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_model_transport_order_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vehicle); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_transport_order_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_transport_order_proto_goTypes,
		DependencyIndexes: file_transport_order_model_transport_order_proto_depIdxs,
		MessageInfos:      file_transport_order_model_transport_order_proto_msgTypes,
	}.Build()
	File_transport_order_model_transport_order_proto = out.File
	file_transport_order_model_transport_order_proto_rawDesc = nil
	file_transport_order_model_transport_order_proto_goTypes = nil
	file_transport_order_model_transport_order_proto_depIdxs = nil
}
